Description

History

#1 - 04/01/2016 11:44 AM - Eric Faulhaber

- Tracker changed from Bug to Feature

From email

On 04/01/2016 10:14 AM, Paul wrote:

Hi,

I considered raising a redmine issue, but this is a little speculative.

I've been looking into use of SQL server again as I want to get it into our test pipeline. I've completed something to build the .NET assemblies

and push them into our binary repo and I'm now thinking about deployment.

I have a few questions:

1. Do you plan to include sqljdbc42.jar in p2j/lib?

2. Should the manifest/p2jrt.mf be changed to remove postgresql-9.4.jar?

3. Assuming the answer to 2 is "yes". How do you plan to handle the changes required to import.sh and various other scripts that contain

classpaths? My current plan is to handle deployment of all such files using ruby erb templating, but I'm wondering what approach you'll be

taking for the core product.

Cheers,

Paul.

 

Hi Paul,

1. I would prefer to include the jar, in order to have a known version.  However, we will have to review the license to see if we are allowed to

distribute.

2. Yes, good point.

3. Honestly had not considered this yet.  Since the import "script" is essentially a one-line (albeit long) command, the path of least resistance and

likely the first pass for internal use will be the admittedly crude approach of separate scripts.  We'll want to figure something better out for the

long run.

Actually, I will open a Redmine issue for this.

Thanks,

Eric
#2 - 11/16/2016 01:06 PM - Greg Shah

- Target version changed from Deployment and Management Improvements to Deployment and Management Improvements

Powered by TCPDF (www.tcpdf.org)

04/27/2024 2/2

http://www.tcpdf.org

